import {AdRecord} from '../records/ad.record';

const defaultObj = {
    name: 'Test Name',
    description: 'Test Description',
    url: 'http://megak.pl',
    price: 0,
    lat: 9,
    lon: 9
};

test('Can bulid AdRecord', () => {
    const ad = new AdRecord(defaultObj);

    expect(ad.name).toBe('Test Name');
    expect(ad.description).toBe('Test Description');
});

test('Validates invalid price', () => {


    expect(() =>
        new AdRecord({
            ...defaultObj,
            price: -3,
        })).toThrow('Cena nie może być mniejsza niż 0 lub większa nić 9 999 999');
});